~alanorth/hugo-theme-bootstrap4-blog

085cf9847fc6d844036ab52e842d69ec930172e5 — Alan Orth 6 months ago dbc9712
.drone.yml: Run on current and LTS Node.js releases

Node.js v10 will cease to be LTS next month and I haven't even used
it for a while already, so let's change this to only run on 12, 14,
and 15, which are the current active and LTS releases.

See: https://nodejs.org/en/about/releases/
1 files changed, 6 insertions(+), 6 deletions(-)

M .drone.yml
M .drone.yml => .drone.yml +6 -6
@@ 1,10 1,10 @@
kind: pipeline
type: docker
name: node10
name: node12

steps:
- name: build
  image: node:10-alpine
  image: node:12-alpine
  commands:
  - npm install
  - npm run build


@@ 12,11 12,11 @@ steps:
---
kind: pipeline
type: docker
name: node12
name: node14

steps:
- name: build
  image: node:12-alpine
  image: node:14-alpine
  commands:
  - npm install
  - npm run build


@@ 24,11 24,11 @@ steps:
---
kind: pipeline
type: docker
name: node14
name: node15

steps:
- name: build
  image: node:14-alpine
  image: node:15-alpine
  commands:
  - npm install
  - npm run build